Comments

I checked and the links seem to be working fine.

Thank you very much.

I managed to find the testdata in useful resources section of contest in MAIN. Thank you very much.

On matrix → Sharif AIChallenge, 11 years ago
+3

Auto comment: topic has been updated by matrix (previous revision, new revision, compare).

On Monyura → Announce of Looksery Cup 2015, 11 years ago
+10

Same here.

EDIT: Actually I wasn't in the top 20 anyway. But I think Maybe in the top 200 :D:D

Unfortunately I can't participate during these times. will you publish the test cases afterwards? Or open the contests for practice?

On kingofnumbers → APIO 2013, 12 years ago
0

Hi, It seems the official website of APIO (http://apio.olympiad.org) is down. Also the statements aren't available in the official site of APIO 2013. So could anybody please upload the statements somewhere?

Edit: I forgot to mention that the link given in comments above doesn't work neither.

Edit2: I didn't notice that the solution file contains the statements as well. I'm sorry.

Thank you very much.

0

May you explain the algorithm of choosing participants of final event? only one competitor from each country is gonna be chosen?!

No unofficial participation in round 2 for those who didn't finish in top 500 in round 1?

0

Sorry for the delay. I added some hints about the solution.

On Gerald → Coder-Strike 2014 — Finals, 12 years ago
+19

why there is no register for practice button?

You can switch to russian and create the virtual contest, then switch back to english.

+5

This is what I meant actually.

I updated the post. Sorry for the misunderstanding caused.

0

Are the statements available in english or they are japanese only?

On .o. → Codeforces Round #233 Editorial, 13 years ago
+6

In problem D Div1, in the part about deleting operations: "Update the value of O[ * ], Hu and Hv. Because for all |Hw|  ≤  C, this can be done in O(|E|  /  C)." shouldn't it be |Hw| <  = |E| / C?

Hi, it's good that contests in that interval are back again. Will the rockethon contest be reimproted again as well?

Also can authors of contests 229-233 re-release the editorial?

Hi,

Great and fast editorial with complete details.

Thanks very much.

Edit: I think there is a small typo: "It’s not hard to see that answer for a fixed (i1, j1) is left[i1][j1] * value[2 * j1 – sum_of_elements_from_i1]." I guess you meant count[2 * j1 – sum_of_elements_from_i1].

This problem happens only when browsing CF in English. If you switch to Russian it works correctly.

0

Can somebody explain why rng_58's solution works? I can't understand why executing clear_all and add_all for each child except the one with maximum subtree in the dfs of each vertex works in time?

how to find this x for each number?

we will iterate on all x[i]s and only delete x[i]s when x[i] > a?

Great explanation. Thanks very much. Just one thing: I suppose it should be 0 <= k < j.

Hi, I can not understand why the formula given for f[i, j] is correct. Can somebody explain it to me? Thanks

Edit: In the contest I got another formula(suppose b[i] = T[i] — a[h[i]]): f[i — 1, k] + b[i] * (j — k) But I can't understand why these two are the same?

+11

I can't connect to "yandex.st" website. This issue increases time of loading each page to 4-5 minutes for me. I should have waited a long time for reading problems or to see the result of my submitted code during contest. Anybody else having the same problem? Can the moderators fix this?

What about MLE in Figure Eight? N^3 is too much more than 64 MB

+9

In this question it is guaranteed that it's on one of the edges.

About the proof maybe this helps : Suppose A is the set of all of tiles on the edges which must be colored in the final coloring(which is uniquely determined based on the tile robot is standing on in the beginning) and suppose all of tiles in A is colored right now and no other tile which is on an edge is colored.

now for each tile (x, y) inside A(but the tile which robot stops on), we know that the robot once entered it from one of the diagonals and exited from the other one. which means tiles in both of these diagonals are colored.

Now take any diagonal which the tiles on it must be colored in the final coloring. We call such diagonals good diagonal. Since each good diagonal has two tiles on it which are on the edge, there exist at least one tile that isn't the one that robot stops on. So for each good diagonal we know that the tiles on it are colored. which means that all of the good diagonals are colored.

And of course if any other tile in any other diagonals be colored then one of that diagonal's ends are colored as well which contradicts the fact that only tiles insides A got colored.

This means that if we reach such state the robot must stop and since the final state is counted such state, it's enough to check when we'll reach such state and if we don't print -1.

For Problem B: There is no need that we return to s. For example: 5 1 5 2 3 4 2 5

I can't understand how one can use brute-force for n = 15 because it'll take O(n!) operation which for n = 15 it'll need almost three hours to be done. Is there another approach?

Edit: It seems there is another solution for this problem. The answer for odd n when we fix our first permutation, is equal to " Number of toroidal semi-queens on a (2n+1) X (2n+1) board". May somebody explain why?

On Sereja → Codeforces Round #167 tutorial, 14 years ago
+27

It seems there is a mistake in posting tutorial. English version of tutorial is TopCoder SRM announcement and the post itself is for 8 days ago!

Great Contest! Great Editorial! It's really good to be able to read complete explanation and proofs in the editorial. Thanks gojira.

On selfcompiler → DP problem , 14 years ago
+10

Hello, As far as I know C(36, 18) is almost 90*10^8 so if you try all possible ways it'll take around 90 seconds!

+1

I guess it would be good if you send this testcase with the failing code(which got AC) to Gerald or contest writers.

Anyway I suppose test number 18 is something like this. since I saw some of the solutions which used maximal path that were trying to create the cycle with first node of the path(instead of the last). These solutions got WA in test 18. In the testcase answer shown to us there is no "1" in the answer so I suppose in this test first node wasn't actually in the cycle.

On Sereja → Codeforces Round #160 tutorial, 14 years ago
+3

In the solution given above for 261B:

How can you be sure that the H(fixed person) isn't used in some of the ways counted in dp[n][i][s] because if he will be counted in those we may use him twice:

for example, suppose:

a1 a2 a3.... aj — 1 H

S = sum of length of these persons.

S < P and S + p[h](length of the fixed man) > P

but this state is not acceptable.

On Sereja → Codeforces Round #160, 14 years ago
+11

Wow! Fast System test and no bugs and etc. Thanks.

+11

Hi I suppose there is a bug in the system: user "Enchom" is shown twice in the registerant list of the CF testing round #5.

On witua → Codeforces Round #157, 14 years ago
+8

it's because the score distribution may won't be standard(for example : 1000 1000 1500 2000 2500 is not dynamic nor standard)

may somebody explain problem E with a little more description? I can't understand why we are using deque and even can't completely understand the algorithm explained in the editorial

0

rating will be updated based on div 2 users results or based on every users results?

On Ripatti → Codeforces Round #150, 14 years ago
+1

Will the problems be sorted by order of difficulty? What is the scoring system gonna be??

+37

it's not rated because it's going to be a hard contest!

On BYN → Bayan Programming Contest, 14 years ago
+6

Will this contest be a rated event in codeforces?

On BYN → Bayan Programming Contest, 14 years ago
+9

It's available for register now.

On NALP → Codeforces Round #147 (Div. 2), 14 years ago
0

array nums is very small. we can have up to 2500 numbers.

On tunyash → Codeforces Round #144, 14 years ago
+5

Hi, Div2 judge is stuck. please fix it. thanks

On tunyash → Codeforces Round #144, 14 years ago
0

here p[p[3]] = 2 which is not equal to 3!!!

+2

I hope editorial will be available soon.

0

finding problems by tag is possible. go to problem set. find the tag you're looking for and click on it. all of the problems with that tag will be shown.

shouldn't the summation goes to n instead of i?

and if not, may some one explains to me why it is correct?

Thanks.

why raising the adjacency matrix to power N gives us the number of paths?

I can't understand how the first solution for Problem E can work. since n can be 10^15 and O(n * m * m) will surely get TLE for this n. wont it?

On Ripatti → Codeforces Round #133, 14 years ago
0

hard questions really! specially question A. I hope the editorial will be available soon. And really thanks to all of you who prepared this great contest.

On Sereja → Codeforces Round #131, 14 years ago
+8

test 13 and 14 are not identical. I suppose there is a difference between them and since we can't see the whole test case we can't see the difference.

On Sereja → Codeforces Round #131, 14 years ago
0

They said: " It is permitted to use not all digits from the set"

On Sereja → Codeforces Round #131, 14 years ago
0

your solution didn't pass test 13. you got wrong answer on test 13.

On Sereja → Codeforces Round #131, 14 years ago
+4

Great contest, thanks to all of you.

0

Hi, When the editorial will be available?

why don't you let us see practice session questions?

On NALP → Codeforces Round #128 (Div. 2), 14 years ago
0

As soon as i posted this comment system test ended. really sry.

On dalex → Codeforces Round #124, 14 years ago
0

Hello, I suppose it's better if you use just ordinary math. not something that like limit. I don't have any information about it. It's better if you would use some algorithmic problem or other problems related to programming instead of pure math. just my recommendation. I'm not a very professional participant. just participating here and don't know about other places. it's just a recommendation. and anyhow I appreciate your hard work for creating such a great contest. thanks.

On dalex → Codeforces Round #124, 14 years ago
0

may you explain your proof?

On tunyash → Codeforces Round #122, 14 years ago
+4

a really great contest. thanks for bringing such a great time to us. of course the problems were hard. :D

I hope there will be an editorial for this round too.

thanks again.

On ifsmirnov → Codeforces Round #121, 14 years ago
+1

no editorial for this round?

On ifsmirnov → Codeforces Round #121, 14 years ago
-31

I suppose it's better if you answer questions instead of laughing at it.

On ifsmirnov → Codeforces Round #121, 14 years ago
0

tnx. I got it when I noticed the scores in the post but forgot to update my comment. Thanks again.

On ifsmirnov → Codeforces Round #121, 14 years ago
-9

will the problems be sorted by thier complexities?

On ifsmirnov → Codeforces Round #121, 14 years ago
+10

is the problems sorted? what is the scorig system? dynamic or normal?

On piloop → Codeforces Round #119, 14 years ago
+11

Won't there be any editorial for this round?

On Aksenov239 → Codeforces Round #118, 14 years ago
+1

isn't the contest rated? why the rating doesn't update?

will the registeration be opened in the contest time?

will it be rated for div 2 or not?

thanks. I've read your editorial for question A but i really don't understand why UR increases the width and UL increases the height and UDRL increases both? may someone explain it to me? actually i didn't understand your description where you said the union of shifting diamond are equal to increase the diamond's width. and actually i don't understand you about shifting it. what do you mean about shifting? if you shift the diamond containing only 0, 0 to up then right it'll create a triangle not a diamond

why can't us send our solution after the contest? neither we can read the codes you've referenced...

what's happening?! all solutions are accepted without any check! i've sent my A question answer for C by mistake and my solution was Accepted !!!!! :D:D

there was no pretest. so how is that it's pending for system test?!

student are those who studying in university only?

On undef → Codeforces Round #115, 15 years ago
+5

What is the meaning of private contest?

I mean who can participate in that contest?

On Gerald → Croc Champ 2012 — Round 1, 15 years ago
+28

why there is no practice after the contest? and the problems are not available in problemset also.

why so much negative points?

to jehad: because the contest is not designed for me. to liuyubo : i've tried it before.

any how it's solved now. thanks for your answer.

how to cancel our registration in croc? i didn't read the text carefully and didn't notice you must be at least 18 to participate. What shall I do?